TestCParser (cpptasks 1.0b5 Test API)
Keywords: net.sf.antcontrib.cpptasks.parser.TestCParser class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.cpptasks.parser
Class TestCParser

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              net.sf.antcontrib.cpptasks.parser.TestCParser

All Implemented Interfaces:
  junit.framework.Test

    public final class TestCParser

extends junit.framework.TestCase

Tests for the CParser class.

Constructor Summary
`TestCParser(java.lang.String name)` Constructor.

Method Summary
`void` | `testImmediateImportBracket()` Checks parsing of #include .
`void` | `testImmediateImportQuote()` Checks parsing of #import "foo.h".
`void` | `testImmediateIncludeBracket()` Checks parsing of #include .
`void` | `testImmediateIncludeQuote()` Checks parsing of #include "foo.h".
`void` | `testIncompleteImmediateImportBracket()` Checks parsing of #import
`void` | `testIncompleteImmediateImportQuote()` Checks parsing of #import "foo.h.
`void` | `testIncompleteImmediateIncludeBracket()` Checks parsing of #include
`void` | `testIncompleteImmediateIncludeQuote()` Checks parsing of #include "foo.h.
`void` | `testLeadingSpace()` Checks parsing when line contains leading whitespace.
`void` | `testLeadingTab()` Checks parsing when line contains a leading tab.
`void` | `testNoQuoteOrBracket()` Checks parsing of #include foo.h.
`void` | `testNotFirstWhitespace()` Checks parsing of //#include "foo.h".

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestCParser

    public TestCParser(java.lang.String name)

  Constructor.

  Parameters:
    `name` - String test name

Method Detail

### testImmediateImportBracket

    public void testImmediateImportBracket()
                                    throws java.io.IOException

  Checks parsing of #include .

  Throws:
    `java.io.IOException` - test fails on IOException

### testImmediateImportQuote

    public void testImmediateImportQuote()
                                  throws java.io.IOException

  Checks parsing of #import "foo.h".

  Throws:
    `java.io.IOException` - test fails on IOException

### testImmediateIncludeBracket

    public void testImmediateIncludeBracket()
                                     throws java.io.IOException

  Checks parsing of #include .

  Throws:
    `java.io.IOException` - test fails on IOException

### testImmediateIncludeQuote

    public void testImmediateIncludeQuote()
                                   throws java.io.IOException

  Checks parsing of #include "foo.h".

  Throws:
    `java.io.IOException` - test fails on IOException.

### testIncompleteImmediateImportBracket

    public void testIncompleteImmediateImportBracket()
                                              throws java.io.IOException

  Checks parsing of #import
  Throws:
    `java.io.IOException` - test fails on IOException

### testIncompleteImmediateImportQuote

    public void testIncompleteImmediateImportQuote()
                                            throws java.io.IOException

  Checks parsing of #import "foo.h.

  Throws:
    `java.io.IOException` - test fails on IOException

### testIncompleteImmediateIncludeBracket

    public void testIncompleteImmediateIncludeBracket()
                                               throws java.io.IOException

  Checks parsing of #include
  Throws:
    `java.io.IOException` - test fails on IOException

### testIncompleteImmediateIncludeQuote

    public void testIncompleteImmediateIncludeQuote()
                                             throws java.io.IOException

  Checks parsing of #include "foo.h.

  Throws:
    `java.io.IOException` - test fails on IOException

### testNoQuoteOrBracket

    public void testNoQuoteOrBracket()
                              throws java.io.IOException

  Checks parsing of #include foo.h.

  Throws:
    `java.io.IOException` - test fails on IOException

### testNotFirstWhitespace

    public void testNotFirstWhitespace()
                                throws java.io.IOException

  Checks parsing of //#include "foo.h".

  Throws:
    `java.io.IOException` - test fails on IOException

### testLeadingSpace

    public void testLeadingSpace()
                          throws java.io.IOException

  Checks parsing when line contains leading whitespace.

  Throws:
    `java.io.IOException` - test fails on IOException.

### testLeadingTab

    public void testLeadingTab()
                        throws java.io.IOException

  Checks parsing when line contains a leading tab.

  Throws:
    `java.io.IOException` - test fails on IOException.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Ant-Contrib Project. All Rights Reserved.